> ## Documentation Index
> Fetch the complete documentation index at: https://docs.caret.so/llms.txt
> Use this file to discover all available pages before exploring further.

# 워크스페이스 조회

> API 키와 연결된 워크스페이스의 상세 정보를 조회합니다

## 개요

이 엔드포인트는 제공된 API 키가 속한 워크스페이스에 대한 상세 정보를 반환합니다. 워크스페이스 이름, 생성일, 설정과 같은 기본 메타데이터가 포함됩니다.

## 인증

모든 API 요청은 `Authorization: Bearer <API_KEY>` 형식으로 인증합니다.

<ParamField header="Authorization" type="string" required>
  Bearer 토큰. 형식: `Bearer <API_KEY>`.
</ParamField>

## 응답

<ResponseField name="workspace" type="object">
  워크스페이스 객체.

  <Expandable title="properties">
    <ResponseField name="id" type="string">
      워크스페이스의 고유 식별자.
    </ResponseField>

    <ResponseField name="name" type="string">
      워크스페이스 이름.
    </ResponseField>

    <ResponseField name="createdAt" type="string">
      워크스페이스가 생성된 ISO8601 타임스탬프.
    </ResponseField>

    <ResponseField name="updatedAt" type="string">
      워크스페이스가 마지막으로 업데이트된 ISO8601 타임스탬프.
    </ResponseField>

    <ResponseField name="settings" type="object">
      워크스페이스 설정.

      <Expandable title="properties">
        <ResponseField name="rag_corpus_id" type="string">
          워크스페이스와 연결된 RAG 코퍼스 ID.
        </ResponseField>

        <ResponseField name="company" type="object">
          회사 정보.

          <Expandable title="properties">
            <ResponseField name="name" type="string">
              회사 이름.
            </ResponseField>

            <ResponseField name="url" type="string">
              회사 웹사이트 URL.
            </ResponseField>

            <ResponseField name="info" type="string">
              회사 설명 또는 정보.
            </ResponseField>

            <ResponseField name="headcount" type="string">
              회사 직원 수 범위.
            </ResponseField>
          </Expandable>
        </ResponseField>

        <ResponseField name="keyterms" type="string[]">
          워크스페이스의 주요 용어 목록.
        </ResponseField>

        <ResponseField name="audio_location" type="string">
          오디오 파일이 저장되는 위치. `none`, `local`, `aside-server`,
          `custom-server` 중 하나.
        </ResponseField>

        <ResponseField name="purge_period" type="string">
          데이터 보존 기간(일). `NONE`, `7`, `30`, `90`, `180`, `365` 중 하나.
        </ResponseField>

        <ResponseField name="meeting_default_permission" type="string">
          새 미팅의 기본 권한. `public`, `workspace`, `only-me` 중 하나.
        </ResponseField>

        <ResponseField name="member_meeting_visibility" type="string">
          멤버 미팅의 가시성. `only-me`, `workspace-read`, `workspace-write` 중
          하나.
        </ResponseField>

        <ResponseField name="mask_sensitive_info" type="boolean">
          전사본에서 민감한 정보를 마스킹할지 여부.
        </ResponseField>

        <ResponseField name="auto_public_on_share" type="boolean">
          공유 시 미팅을 자동으로 공개할지 여부.
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="allowedEmailDomains" type="string[] | null">
      워크스페이스 접근이 허용된 이메일 도메인 목록.
    </ResponseField>

    <ResponseField name="iconUrl" type="string | null">
      워크스페이스 아이콘 URL.
    </ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
  ```bash curl theme={null}

  curl -X GET "https://api.caret.so/v1/workspace" \
       -H "Authorization: Bearer your_api_key_here"

  ```

  ```javascript JavaScript theme={null}
  const response = await fetch('https://api.caret.so/v1/workspace', {
    headers: {
      Authorization: 'Bearer your_api_key_here',
    },
  });

  const data = await response.json();
  console.log(data);
  ```

  ```python Python theme={null}
  import requests

  url = "https://api.caret.so/v1/workspace"
  headers = {
      "Authorization": "Bearer your_api_key_here"
  }

  response = requests.get(url, headers=headers)
  print(response.json())
  ```
</RequestExample>

<ResponseExample>
  ```json 200 OK theme={null}
  {
    "workspace": {
      "id": "ws_123456789",
      "name": "Acme Corp",
      "createdAt": "2023-01-01T00:00:00Z",
      "updatedAt": "2023-01-01T00:00:00Z",
      "settings": {
        "keyterms": ["technical", "documentation"],
        "audio_location": "aside-server",
        "meeting_default_permission": "workspace"
      },
      "allowedEmailDomains": ["acme.com"],
      "iconUrl": "https://example.com/icon.png"
    }
  }
  ```

  ```json 401 Unauthorized theme={null}
  {
    "error": {
      "code": "unauthorized",
      "message": "Invalid or missing API key"
    }
  }
  ```

  ```json 500 Internal Server Error theme={null}
  {
    "error": {
      "code": "internal_server_error",
      "message": "An unexpected error occurred"
    }
  }
  ```
</ResponseExample>
